import { HttpResponseOK, HttpResponseUnauthorized, HttpResponseBadRequest, HttpResponseNotFound } from './http/responses.js';
export { createServer } from './server/hyperserver.js';
export { default as listRoutes } from './server/list-routes.js';
export { default as printRoutes } from './server/print-routes.js';
export { default as load } from './server/load.js';
export { default as listen } from './server/listen.js';
export { Delete, Get, Patch, Post, Put } from '@hyperstackjs/hypernight';
import 'express';
import './types.js';

declare const ok: (data: any) => HttpResponseOK;
declare const unauthorized: (error: any) => HttpResponseUnauthorized;
declare const err: (error: any) => HttpResponseBadRequest;
declare const notfound: (error: any) => HttpResponseNotFound;
declare const Middleware: (mware: any) => MethodDecorator & PropertyDecorator;
declare const ClassMiddleware: (mware: any) => ClassDecorator;
declare const ErrorMiddleware: (mware: any) => MethodDecorator & PropertyDecorator;
declare const ClassErrorMiddleware: (mware: any) => ClassDecorator;
declare const Controller: (path: string) => (target: any) => any;

export { ClassErrorMiddleware, ClassMiddleware, Controller, ErrorMiddleware, Middleware, err, notfound, ok, unauthorized };
